1. Packages
  2. Packages
  3. Elasticstack Provider
  4. API Docs
  5. getElasticsearchConnector
Viewing docs for elasticstack 0.16.1
published on Monday, Jun 1, 2026 by elastic
Viewing docs for elasticstack 0.16.1
published on Monday, Jun 1, 2026 by elastic

    Reads an Elasticsearch content connector by connector_id via GET /_connector/{connector_id}. Requires Elasticsearch 8.16.0 or later (the connector APIs are GA from 8.12.0, but the request body shapes the provider sends only stabilized in 8.16.0).

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as elasticstack from "@pulumi/elasticstack";
    
    const postgres = new elasticstack.ElasticsearchConnector("postgres", {
        connectorId: "music-catalog",
        serviceType: "postgresql",
        name: "music catalog",
        description: "Indexes the music catalog database.",
        indexName: "search-music",
        language: "english",
        pipeline: {
            name: "search-default-ingestion",
            extractBinaryContent: false,
            reduceWhitespace: true,
            runMlInference: false,
        },
        scheduling: {
            full: {
                enabled: true,
                interval: "0 0 * * * ?",
            },
            incremental: {
                enabled: false,
                interval: "0 0 0 * * ?",
            },
            accessControl: {
                enabled: false,
                interval: "0 0 0 * * ?",
            },
        },
        features: {
            syncRules: {
                basic: {
                    enabled: true,
                },
                advanced: {
                    enabled: false,
                },
            },
            documentLevelSecurity: {
                enabled: false,
            },
            incrementalSync: {
                enabled: false,
            },
            nativeConnectorApiKeys: {
                enabled: false,
            },
        },
    });
    const lookup = elasticstack.getElasticsearchConnectorOutput({
        connectorId: postgres.connectorId,
    });
    export const connectorStatus = lookup.apply(lookup => lookup.status);
    export const connectorConfiguration = lookup.apply(lookup => lookup.configuration);
    export const connectorLastSynced = lookup.apply(lookup => lookup.lastSynced);
    
    import pulumi
    import pulumi_elasticstack as elasticstack
    
    postgres = elasticstack.ElasticsearchConnector("postgres",
        connector_id="music-catalog",
        service_type="postgresql",
        name="music catalog",
        description="Indexes the music catalog database.",
        index_name="search-music",
        language="english",
        pipeline={
            "name": "search-default-ingestion",
            "extract_binary_content": False,
            "reduce_whitespace": True,
            "run_ml_inference": False,
        },
        scheduling={
            "full": {
                "enabled": True,
                "interval": "0 0 * * * ?",
            },
            "incremental": {
                "enabled": False,
                "interval": "0 0 0 * * ?",
            },
            "access_control": {
                "enabled": False,
                "interval": "0 0 0 * * ?",
            },
        },
        features={
            "sync_rules": {
                "basic": {
                    "enabled": True,
                },
                "advanced": {
                    "enabled": False,
                },
            },
            "document_level_security": {
                "enabled": False,
            },
            "incremental_sync": {
                "enabled": False,
            },
            "native_connector_api_keys": {
                "enabled": False,
            },
        })
    lookup = elasticstack.get_elasticsearch_connector_output(connector_id=postgres.connector_id)
    pulumi.export("connectorStatus", lookup.status)
    pulumi.export("connectorConfiguration", lookup.configuration)
    pulumi.export("connectorLastSynced", lookup.last_synced)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-terraform-provider/sdks/go/elasticstack/elasticstack"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		postgres, err := elasticstack.NewElasticsearchConnector(ctx, "postgres", &elasticstack.ElasticsearchConnectorArgs{
    			ConnectorId: pulumi.String("music-catalog"),
    			ServiceType: pulumi.String("postgresql"),
    			Name:        pulumi.String("music catalog"),
    			Description: pulumi.String("Indexes the music catalog database."),
    			IndexName:   pulumi.String("search-music"),
    			Language:    pulumi.String("english"),
    			Pipeline: &elasticstack.ElasticsearchConnectorPipelineArgs{
    				Name:                 pulumi.String("search-default-ingestion"),
    				ExtractBinaryContent: pulumi.Bool(false),
    				ReduceWhitespace:     pulumi.Bool(true),
    				RunMlInference:       pulumi.Bool(false),
    			},
    			Scheduling: &elasticstack.ElasticsearchConnectorSchedulingArgs{
    				Full: &elasticstack.ElasticsearchConnectorSchedulingFullArgs{
    					Enabled:  pulumi.Bool(true),
    					Interval: pulumi.String("0 0 * * * ?"),
    				},
    				Incremental: &elasticstack.ElasticsearchConnectorSchedulingIncrementalArgs{
    					Enabled:  pulumi.Bool(false),
    					Interval: pulumi.String("0 0 0 * * ?"),
    				},
    				AccessControl: &elasticstack.ElasticsearchConnectorSchedulingAccessControlArgs{
    					Enabled:  pulumi.Bool(false),
    					Interval: pulumi.String("0 0 0 * * ?"),
    				},
    			},
    			Features: &elasticstack.ElasticsearchConnectorFeaturesArgs{
    				SyncRules: &elasticstack.ElasticsearchConnectorFeaturesSyncRulesArgs{
    					Basic: &elasticstack.ElasticsearchConnectorFeaturesSyncRulesBasicArgs{
    						Enabled: pulumi.Bool(true),
    					},
    					Advanced: &elasticstack.ElasticsearchConnectorFeaturesSyncRulesAdvancedArgs{
    						Enabled: pulumi.Bool(false),
    					},
    				},
    				DocumentLevelSecurity: &elasticstack.ElasticsearchConnectorFeaturesDocumentLevelSecurityArgs{
    					Enabled: pulumi.Bool(false),
    				},
    				IncrementalSync: &elasticstack.ElasticsearchConnectorFeaturesIncrementalSyncArgs{
    					Enabled: pulumi.Bool(false),
    				},
    				NativeConnectorApiKeys: &elasticstack.ElasticsearchConnectorFeaturesNativeConnectorApiKeysArgs{
    					Enabled: pulumi.Bool(false),
    				},
    			},
    		})
    		if err != nil {
    			return err
    		}
    		lookup := elasticstack.LookupElasticsearchConnectorOutput(ctx, elasticstack.GetElasticsearchConnectorOutputArgs{
    			ConnectorId: postgres.ConnectorId,
    		}, nil)
    		ctx.Export("connectorStatus", lookup.ApplyT(func(lookup elasticstack.GetElasticsearchConnectorResult) (*string, error) {
    			return &lookup.Status, nil
    		}).(pulumi.StringPtrOutput))
    		ctx.Export("connectorConfiguration", lookup.ApplyT(func(lookup elasticstack.GetElasticsearchConnectorResult) (*string, error) {
    			return &lookup.Configuration, nil
    		}).(pulumi.StringPtrOutput))
    		ctx.Export("connectorLastSynced", lookup.ApplyT(func(lookup elasticstack.GetElasticsearchConnectorResult) (*string, error) {
    			return &lookup.LastSynced, nil
    		}).(pulumi.StringPtrOutput))
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Elasticstack = Pulumi.Elasticstack;
    
    return await Deployment.RunAsync(() => 
    {
        var postgres = new Elasticstack.ElasticsearchConnector("postgres", new()
        {
            ConnectorId = "music-catalog",
            ServiceType = "postgresql",
            Name = "music catalog",
            Description = "Indexes the music catalog database.",
            IndexName = "search-music",
            Language = "english",
            Pipeline = new Elasticstack.Inputs.ElasticsearchConnectorPipelineArgs
            {
                Name = "search-default-ingestion",
                ExtractBinaryContent = false,
                ReduceWhitespace = true,
                RunMlInference = false,
            },
            Scheduling = new Elasticstack.Inputs.ElasticsearchConnectorSchedulingArgs
            {
                Full = new Elasticstack.Inputs.ElasticsearchConnectorSchedulingFullArgs
                {
                    Enabled = true,
                    Interval = "0 0 * * * ?",
                },
                Incremental = new Elasticstack.Inputs.ElasticsearchConnectorSchedulingIncrementalArgs
                {
                    Enabled = false,
                    Interval = "0 0 0 * * ?",
                },
                AccessControl = new Elasticstack.Inputs.ElasticsearchConnectorSchedulingAccessControlArgs
                {
                    Enabled = false,
                    Interval = "0 0 0 * * ?",
                },
            },
            Features = new Elasticstack.Inputs.ElasticsearchConnectorFeaturesArgs
            {
                SyncRules = new Elasticstack.Inputs.ElasticsearchConnectorFeaturesSyncRulesArgs
                {
                    Basic = new Elasticstack.Inputs.ElasticsearchConnectorFeaturesSyncRulesBasicArgs
                    {
                        Enabled = true,
                    },
                    Advanced = new Elasticstack.Inputs.ElasticsearchConnectorFeaturesSyncRulesAdvancedArgs
                    {
                        Enabled = false,
                    },
                },
                DocumentLevelSecurity = new Elasticstack.Inputs.ElasticsearchConnectorFeaturesDocumentLevelSecurityArgs
                {
                    Enabled = false,
                },
                IncrementalSync = new Elasticstack.Inputs.ElasticsearchConnectorFeaturesIncrementalSyncArgs
                {
                    Enabled = false,
                },
                NativeConnectorApiKeys = new Elasticstack.Inputs.ElasticsearchConnectorFeaturesNativeConnectorApiKeysArgs
                {
                    Enabled = false,
                },
            },
        });
    
        var lookup = Elasticstack.GetElasticsearchConnector.Invoke(new()
        {
            ConnectorId = postgres.ConnectorId,
        });
    
        return new Dictionary<string, object?>
        {
            ["connectorStatus"] = lookup.Apply(getElasticsearchConnectorResult => getElasticsearchConnectorResult.Status),
            ["connectorConfiguration"] = lookup.Apply(getElasticsearchConnectorResult => getElasticsearchConnectorResult.Configuration),
            ["connectorLastSynced"] = lookup.Apply(getElasticsearchConnectorResult => getElasticsearchConnectorResult.LastSynced),
        };
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.elasticstack.ElasticsearchConnector;
    import com.pulumi.elasticstack.ElasticsearchConnectorArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorPipelineArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorSchedulingArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorSchedulingFullArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorSchedulingIncrementalArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorSchedulingAccessControlArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorFeaturesArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorFeaturesSyncRulesArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorFeaturesSyncRulesBasicArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorFeaturesSyncRulesAdvancedArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorFeaturesDocumentLevelSecurityArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorFeaturesIncrementalSyncArgs;
    import com.pulumi.elasticstack.inputs.ElasticsearchConnectorFeaturesNativeConnectorApiKeysArgs;
    import com.pulumi.elasticstack.ElasticstackFunctions;
    import com.pulumi.elasticstack.inputs.GetElasticsearchConnectorArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var postgres = new ElasticsearchConnector("postgres", ElasticsearchConnectorArgs.builder()
                .connectorId("music-catalog")
                .serviceType("postgresql")
                .name("music catalog")
                .description("Indexes the music catalog database.")
                .indexName("search-music")
                .language("english")
                .pipeline(ElasticsearchConnectorPipelineArgs.builder()
                    .name("search-default-ingestion")
                    .extractBinaryContent(false)
                    .reduceWhitespace(true)
                    .runMlInference(false)
                    .build())
                .scheduling(ElasticsearchConnectorSchedulingArgs.builder()
                    .full(ElasticsearchConnectorSchedulingFullArgs.builder()
                        .enabled(true)
                        .interval("0 0 * * * ?")
                        .build())
                    .incremental(ElasticsearchConnectorSchedulingIncrementalArgs.builder()
                        .enabled(false)
                        .interval("0 0 0 * * ?")
                        .build())
                    .accessControl(ElasticsearchConnectorSchedulingAccessControlArgs.builder()
                        .enabled(false)
                        .interval("0 0 0 * * ?")
                        .build())
                    .build())
                .features(ElasticsearchConnectorFeaturesArgs.builder()
                    .syncRules(ElasticsearchConnectorFeaturesSyncRulesArgs.builder()
                        .basic(ElasticsearchConnectorFeaturesSyncRulesBasicArgs.builder()
                            .enabled(true)
                            .build())
                        .advanced(ElasticsearchConnectorFeaturesSyncRulesAdvancedArgs.builder()
                            .enabled(false)
                            .build())
                        .build())
                    .documentLevelSecurity(ElasticsearchConnectorFeaturesDocumentLevelSecurityArgs.builder()
                        .enabled(false)
                        .build())
                    .incrementalSync(ElasticsearchConnectorFeaturesIncrementalSyncArgs.builder()
                        .enabled(false)
                        .build())
                    .nativeConnectorApiKeys(ElasticsearchConnectorFeaturesNativeConnectorApiKeysArgs.builder()
                        .enabled(false)
                        .build())
                    .build())
                .build());
    
            final var lookup = ElasticstackFunctions.getElasticsearchConnector(GetElasticsearchConnectorArgs.builder()
                .connectorId(postgres.connectorId())
                .build());
    
            ctx.export("connectorStatus", lookup.applyValue(_lookup -> _lookup.status()));
            ctx.export("connectorConfiguration", lookup.applyValue(_lookup -> _lookup.configuration()));
            ctx.export("connectorLastSynced", lookup.applyValue(_lookup -> _lookup.lastSynced()));
        }
    }
    
    resources:
      postgres:
        type: elasticstack:ElasticsearchConnector
        properties:
          connectorId: music-catalog
          serviceType: postgresql
          name: music catalog
          description: Indexes the music catalog database.
          indexName: search-music
          language: english
          pipeline:
            name: search-default-ingestion
            extractBinaryContent: false
            reduceWhitespace: true
            runMlInference: false
          scheduling:
            full:
              enabled: true
              interval: 0 0 * * * ?
            incremental:
              enabled: false
              interval: 0 0 0 * * ?
            accessControl:
              enabled: false
              interval: 0 0 0 * * ?
          features:
            syncRules:
              basic:
                enabled: true
              advanced:
                enabled: false
            documentLevelSecurity:
              enabled: false
            incrementalSync:
              enabled: false
            nativeConnectorApiKeys:
              enabled: false
    variables:
      lookup:
        fn::invoke:
          function: elasticstack:getElasticsearchConnector
          arguments:
            connectorId: ${postgres.connectorId}
    outputs:
      connectorStatus: ${lookup.status}
      connectorConfiguration: ${lookup.configuration}
      connectorLastSynced: ${lookup.lastSynced}
    
    Example coming soon!
    

    Using getElasticsearchConnector

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getElasticsearchConnector(args: GetElasticsearchConnectorArgs, opts?: InvokeOptions): Promise<GetElasticsearchConnectorResult>
    function getElasticsearchConnectorOutput(args: GetElasticsearchConnectorOutputArgs, opts?: InvokeOptions): Output<GetElasticsearchConnectorResult>
    def get_elasticsearch_connector(connector_id: Optional[str] = None,
                                    elasticsearch_connections: Optional[Sequence[GetElasticsearchConnectorElasticsearchConnection]] = None,
                                    opts: Optional[InvokeOptions] = None) -> GetElasticsearchConnectorResult
    def get_elasticsearch_connector_output(connector_id: pulumi.Input[Optional[str]] = None,
                                    elasticsearch_connections: pulumi.Input[Optional[Sequence[pulumi.Input[GetElasticsearchConnectorElasticsearchConnectionArgs]]]] = None,
                                    opts: Optional[InvokeOptions] = None) -> Output[GetElasticsearchConnectorResult]
    func LookupElasticsearchConnector(ctx *Context, args *LookupElasticsearchConnectorArgs, opts ...InvokeOption) (*LookupElasticsearchConnectorResult, error)
    func LookupElasticsearchConnectorOutput(ctx *Context, args *LookupElasticsearchConnectorOutputArgs, opts ...InvokeOption) LookupElasticsearchConnectorResultOutput

    > Note: This function is named LookupElasticsearchConnector in the Go SDK.

    public static class GetElasticsearchConnector 
    {
        public static Task<GetElasticsearchConnectorResult> InvokeAsync(GetElasticsearchConnectorArgs args, InvokeOptions? opts = null)
        public static Output<GetElasticsearchConnectorResult> Invoke(GetElasticsearchConnectorInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetElasticsearchConnectorResult> getElasticsearchConnector(GetElasticsearchConnectorArgs args, InvokeOptions options)
    public static Output<GetElasticsearchConnectorResult> getElasticsearchConnector(GetElasticsearchConnectorArgs args, InvokeOptions options)
    
    fn::invoke:
      function: elasticstack:index/getElasticsearchConnector:getElasticsearchConnector
      arguments:
        # arguments dictionary
    data "elasticstack_getelasticsearchconnector" "name" {
        # arguments
    }

    The following arguments are supported:

    ConnectorId string
    Unique connector identifier to look up.
    ElasticsearchConnections List<GetElasticsearchConnectorElasticsearchConnection>
    Elasticsearch connection configuration block.
    ConnectorId string
    Unique connector identifier to look up.
    ElasticsearchConnections []GetElasticsearchConnectorElasticsearchConnection
    Elasticsearch connection configuration block.
    connector_id string
    Unique connector identifier to look up.
    elasticsearch_connections list(object)
    Elasticsearch connection configuration block.
    connectorId String
    Unique connector identifier to look up.
    elasticsearchConnections List<GetElasticsearchConnectorElasticsearchConnection>
    Elasticsearch connection configuration block.
    connectorId string
    Unique connector identifier to look up.
    elasticsearchConnections GetElasticsearchConnectorElasticsearchConnection[]
    Elasticsearch connection configuration block.
    connector_id str
    Unique connector identifier to look up.
    elasticsearch_connections Sequence[GetElasticsearchConnectorElasticsearchConnection]
    Elasticsearch connection configuration block.
    connectorId String
    Unique connector identifier to look up.
    elasticsearchConnections List<Property Map>
    Elasticsearch connection configuration block.

    getElasticsearchConnector Result

    The following output properties are available:

    ApiKeyId string
    ID of the API key used by the connector service for authorization.
    ApiKeySecretId string
    ID of the connector secret holding the API key (Elastic-managed connectors only).
    Configuration string
    Full registered configuration schema document from the connector service. JSON-encoded; use jsondecode() to inspect.
    ConnectorId string
    Unique connector identifier to look up.
    CustomScheduling string
    Custom per-job-type scheduling overrides. JSON-encoded object; use jsondecode() to inspect.
    Description string
    Connector description.
    Error string
    Connector-level error message, if any.
    Features GetElasticsearchConnectorFeatures
    Connector feature flags.
    Filtering string
    Connector filtering rules. JSON-encoded array; use jsondecode() to inspect.
    Id string
    Composite identifier in the form <cluster_uuid>/<connector_id>.
    IndexName string
    Destination Elasticsearch index name.
    IsNative bool
    Whether this is an Elastic-managed connector (true) or self-managed (false).
    Language string
    Analyzer language for the connector index.
    LastAccessControlSyncError string
    Error message from the last access-control sync job, if any.
    LastAccessControlSyncScheduledAt string
    ISO 8601 timestamp when the last access-control sync was scheduled.
    LastAccessControlSyncStatus string
    Status of the last access-control sync job.
    LastDeletedDocumentCount double
    Number of documents deleted during the last sync job.
    LastIncrementalSyncScheduledAt string
    ISO 8601 timestamp when the last incremental sync was scheduled.
    LastIndexedDocumentCount double
    Number of documents indexed during the last sync job.
    LastSeen string
    ISO 8601 timestamp when the connector service last reported in.
    LastSyncError string
    Error message from the last sync job, if any.
    LastSyncScheduledAt string
    ISO 8601 timestamp when the last sync job was scheduled.
    LastSyncStatus string
    Status of the last sync job.
    LastSynced string
    ISO 8601 timestamp of the last completed sync.
    Name string
    Human-readable connector name.
    Pipeline GetElasticsearchConnectorPipeline
    Ingest pipeline settings applied to synced documents.
    Scheduling GetElasticsearchConnectorScheduling
    Sync scheduling for full, incremental, and access-control jobs.
    ServiceType string
    Connector service type (for example postgresql, mysql, github).
    Status string
    Connector lifecycle status (for example created, connected, error).
    SyncCursor string
    Opaque connector sync cursor state. JSON-encoded; use jsondecode() to inspect.
    SyncNow bool
    Whether a sync job is queued to run immediately.
    ElasticsearchConnections List<GetElasticsearchConnectorElasticsearchConnection>
    Elasticsearch connection configuration block.
    ApiKeyId string
    ID of the API key used by the connector service for authorization.
    ApiKeySecretId string
    ID of the connector secret holding the API key (Elastic-managed connectors only).
    Configuration string
    Full registered configuration schema document from the connector service. JSON-encoded; use jsondecode() to inspect.
    ConnectorId string
    Unique connector identifier to look up.
    CustomScheduling string
    Custom per-job-type scheduling overrides. JSON-encoded object; use jsondecode() to inspect.
    Description string
    Connector description.
    Error string
    Connector-level error message, if any.
    Features GetElasticsearchConnectorFeatures
    Connector feature flags.
    Filtering string
    Connector filtering rules. JSON-encoded array; use jsondecode() to inspect.
    Id string
    Composite identifier in the form <cluster_uuid>/<connector_id>.
    IndexName string
    Destination Elasticsearch index name.
    IsNative bool
    Whether this is an Elastic-managed connector (true) or self-managed (false).
    Language string
    Analyzer language for the connector index.
    LastAccessControlSyncError string
    Error message from the last access-control sync job, if any.
    LastAccessControlSyncScheduledAt string
    ISO 8601 timestamp when the last access-control sync was scheduled.
    LastAccessControlSyncStatus string
    Status of the last access-control sync job.
    LastDeletedDocumentCount float64
    Number of documents deleted during the last sync job.
    LastIncrementalSyncScheduledAt string
    ISO 8601 timestamp when the last incremental sync was scheduled.
    LastIndexedDocumentCount float64
    Number of documents indexed during the last sync job.
    LastSeen string
    ISO 8601 timestamp when the connector service last reported in.
    LastSyncError string
    Error message from the last sync job, if any.
    LastSyncScheduledAt string
    ISO 8601 timestamp when the last sync job was scheduled.
    LastSyncStatus string
    Status of the last sync job.
    LastSynced string
    ISO 8601 timestamp of the last completed sync.
    Name string
    Human-readable connector name.
    Pipeline GetElasticsearchConnectorPipeline
    Ingest pipeline settings applied to synced documents.
    Scheduling GetElasticsearchConnectorScheduling
    Sync scheduling for full, incremental, and access-control jobs.
    ServiceType string
    Connector service type (for example postgresql, mysql, github).
    Status string
    Connector lifecycle status (for example created, connected, error).
    SyncCursor string
    Opaque connector sync cursor state. JSON-encoded; use jsondecode() to inspect.
    SyncNow bool
    Whether a sync job is queued to run immediately.
    ElasticsearchConnections []GetElasticsearchConnectorElasticsearchConnection
    Elasticsearch connection configuration block.
    api_key_id string
    ID of the API key used by the connector service for authorization.
    api_key_secret_id string
    ID of the connector secret holding the API key (Elastic-managed connectors only).
    configuration string
    Full registered configuration schema document from the connector service. JSON-encoded; use jsondecode() to inspect.
    connector_id string
    Unique connector identifier to look up.
    custom_scheduling string
    Custom per-job-type scheduling overrides. JSON-encoded object; use jsondecode() to inspect.
    description string
    Connector description.
    error string
    Connector-level error message, if any.
    features object
    Connector feature flags.
    filtering string
    Connector filtering rules. JSON-encoded array; use jsondecode() to inspect.
    id string
    Composite identifier in the form <cluster_uuid>/<connector_id>.
    index_name string
    Destination Elasticsearch index name.
    is_native bool
    Whether this is an Elastic-managed connector (true) or self-managed (false).
    language string
    Analyzer language for the connector index.
    last_access_control_sync_error string
    Error message from the last access-control sync job, if any.
    last_access_control_sync_scheduled_at string
    ISO 8601 timestamp when the last access-control sync was scheduled.
    last_access_control_sync_status string
    Status of the last access-control sync job.
    last_deleted_document_count number
    Number of documents deleted during the last sync job.
    last_incremental_sync_scheduled_at string
    ISO 8601 timestamp when the last incremental sync was scheduled.
    last_indexed_document_count number
    Number of documents indexed during the last sync job.
    last_seen string
    ISO 8601 timestamp when the connector service last reported in.
    last_sync_error string
    Error message from the last sync job, if any.
    last_sync_scheduled_at string
    ISO 8601 timestamp when the last sync job was scheduled.
    last_sync_status string
    Status of the last sync job.
    last_synced string
    ISO 8601 timestamp of the last completed sync.
    name string
    Human-readable connector name.
    pipeline object
    Ingest pipeline settings applied to synced documents.
    scheduling object
    Sync scheduling for full, incremental, and access-control jobs.
    service_type string
    Connector service type (for example postgresql, mysql, github).
    status string
    Connector lifecycle status (for example created, connected, error).
    sync_cursor string
    Opaque connector sync cursor state. JSON-encoded; use jsondecode() to inspect.
    sync_now bool
    Whether a sync job is queued to run immediately.
    elasticsearch_connections list(object)
    Elasticsearch connection configuration block.
    apiKeyId String
    ID of the API key used by the connector service for authorization.
    apiKeySecretId String
    ID of the connector secret holding the API key (Elastic-managed connectors only).
    configuration String
    Full registered configuration schema document from the connector service. JSON-encoded; use jsondecode() to inspect.
    connectorId String
    Unique connector identifier to look up.
    customScheduling String
    Custom per-job-type scheduling overrides. JSON-encoded object; use jsondecode() to inspect.
    description String
    Connector description.
    error String
    Connector-level error message, if any.
    features GetElasticsearchConnectorFeatures
    Connector feature flags.
    filtering String
    Connector filtering rules. JSON-encoded array; use jsondecode() to inspect.
    id String
    Composite identifier in the form <cluster_uuid>/<connector_id>.
    indexName String
    Destination Elasticsearch index name.
    isNative Boolean
    Whether this is an Elastic-managed connector (true) or self-managed (false).
    language String
    Analyzer language for the connector index.
    lastAccessControlSyncError String
    Error message from the last access-control sync job, if any.
    lastAccessControlSyncScheduledAt String
    ISO 8601 timestamp when the last access-control sync was scheduled.
    lastAccessControlSyncStatus String
    Status of the last access-control sync job.
    lastDeletedDocumentCount Double
    Number of documents deleted during the last sync job.
    lastIncrementalSyncScheduledAt String
    ISO 8601 timestamp when the last incremental sync was scheduled.
    lastIndexedDocumentCount Double
    Number of documents indexed during the last sync job.
    lastSeen String
    ISO 8601 timestamp when the connector service last reported in.
    lastSyncError String
    Error message from the last sync job, if any.
    lastSyncScheduledAt String
    ISO 8601 timestamp when the last sync job was scheduled.
    lastSyncStatus String
    Status of the last sync job.
    lastSynced String
    ISO 8601 timestamp of the last completed sync.
    name String
    Human-readable connector name.
    pipeline GetElasticsearchConnectorPipeline
    Ingest pipeline settings applied to synced documents.
    scheduling GetElasticsearchConnectorScheduling
    Sync scheduling for full, incremental, and access-control jobs.
    serviceType String
    Connector service type (for example postgresql, mysql, github).
    status String
    Connector lifecycle status (for example created, connected, error).
    syncCursor String
    Opaque connector sync cursor state. JSON-encoded; use jsondecode() to inspect.
    syncNow Boolean
    Whether a sync job is queued to run immediately.
    elasticsearchConnections List<GetElasticsearchConnectorElasticsearchConnection>
    Elasticsearch connection configuration block.
    apiKeyId string
    ID of the API key used by the connector service for authorization.
    apiKeySecretId string
    ID of the connector secret holding the API key (Elastic-managed connectors only).
    configuration string
    Full registered configuration schema document from the connector service. JSON-encoded; use jsondecode() to inspect.
    connectorId string
    Unique connector identifier to look up.
    customScheduling string
    Custom per-job-type scheduling overrides. JSON-encoded object; use jsondecode() to inspect.
    description string
    Connector description.
    error string
    Connector-level error message, if any.
    features GetElasticsearchConnectorFeatures
    Connector feature flags.
    filtering string
    Connector filtering rules. JSON-encoded array; use jsondecode() to inspect.
    id string
    Composite identifier in the form <cluster_uuid>/<connector_id>.
    indexName string
    Destination Elasticsearch index name.
    isNative boolean
    Whether this is an Elastic-managed connector (true) or self-managed (false).
    language string
    Analyzer language for the connector index.
    lastAccessControlSyncError string
    Error message from the last access-control sync job, if any.
    lastAccessControlSyncScheduledAt string
    ISO 8601 timestamp when the last access-control sync was scheduled.
    lastAccessControlSyncStatus string
    Status of the last access-control sync job.
    lastDeletedDocumentCount number
    Number of documents deleted during the last sync job.
    lastIncrementalSyncScheduledAt string
    ISO 8601 timestamp when the last incremental sync was scheduled.
    lastIndexedDocumentCount number
    Number of documents indexed during the last sync job.
    lastSeen string
    ISO 8601 timestamp when the connector service last reported in.
    lastSyncError string
    Error message from the last sync job, if any.
    lastSyncScheduledAt string
    ISO 8601 timestamp when the last sync job was scheduled.
    lastSyncStatus string
    Status of the last sync job.
    lastSynced string
    ISO 8601 timestamp of the last completed sync.
    name string
    Human-readable connector name.
    pipeline GetElasticsearchConnectorPipeline
    Ingest pipeline settings applied to synced documents.
    scheduling GetElasticsearchConnectorScheduling
    Sync scheduling for full, incremental, and access-control jobs.
    serviceType string
    Connector service type (for example postgresql, mysql, github).
    status string
    Connector lifecycle status (for example created, connected, error).
    syncCursor string
    Opaque connector sync cursor state. JSON-encoded; use jsondecode() to inspect.
    syncNow boolean
    Whether a sync job is queued to run immediately.
    elasticsearchConnections GetElasticsearchConnectorElasticsearchConnection[]
    Elasticsearch connection configuration block.
    api_key_id str
    ID of the API key used by the connector service for authorization.
    api_key_secret_id str
    ID of the connector secret holding the API key (Elastic-managed connectors only).
    configuration str
    Full registered configuration schema document from the connector service. JSON-encoded; use jsondecode() to inspect.
    connector_id str
    Unique connector identifier to look up.
    custom_scheduling str
    Custom per-job-type scheduling overrides. JSON-encoded object; use jsondecode() to inspect.
    description str
    Connector description.
    error str
    Connector-level error message, if any.
    features GetElasticsearchConnectorFeatures
    Connector feature flags.
    filtering str
    Connector filtering rules. JSON-encoded array; use jsondecode() to inspect.
    id str
    Composite identifier in the form <cluster_uuid>/<connector_id>.
    index_name str
    Destination Elasticsearch index name.
    is_native bool
    Whether this is an Elastic-managed connector (true) or self-managed (false).
    language str
    Analyzer language for the connector index.
    last_access_control_sync_error str
    Error message from the last access-control sync job, if any.
    last_access_control_sync_scheduled_at str
    ISO 8601 timestamp when the last access-control sync was scheduled.
    last_access_control_sync_status str
    Status of the last access-control sync job.
    last_deleted_document_count float
    Number of documents deleted during the last sync job.
    last_incremental_sync_scheduled_at str
    ISO 8601 timestamp when the last incremental sync was scheduled.
    last_indexed_document_count float
    Number of documents indexed during the last sync job.
    last_seen str
    ISO 8601 timestamp when the connector service last reported in.
    last_sync_error str
    Error message from the last sync job, if any.
    last_sync_scheduled_at str
    ISO 8601 timestamp when the last sync job was scheduled.
    last_sync_status str
    Status of the last sync job.
    last_synced str
    ISO 8601 timestamp of the last completed sync.
    name str
    Human-readable connector name.
    pipeline GetElasticsearchConnectorPipeline
    Ingest pipeline settings applied to synced documents.
    scheduling GetElasticsearchConnectorScheduling
    Sync scheduling for full, incremental, and access-control jobs.
    service_type str
    Connector service type (for example postgresql, mysql, github).
    status str
    Connector lifecycle status (for example created, connected, error).
    sync_cursor str
    Opaque connector sync cursor state. JSON-encoded; use jsondecode() to inspect.
    sync_now bool
    Whether a sync job is queued to run immediately.
    elasticsearch_connections Sequence[GetElasticsearchConnectorElasticsearchConnection]
    Elasticsearch connection configuration block.
    apiKeyId String
    ID of the API key used by the connector service for authorization.
    apiKeySecretId String
    ID of the connector secret holding the API key (Elastic-managed connectors only).
    configuration String
    Full registered configuration schema document from the connector service. JSON-encoded; use jsondecode() to inspect.
    connectorId String
    Unique connector identifier to look up.
    customScheduling String
    Custom per-job-type scheduling overrides. JSON-encoded object; use jsondecode() to inspect.
    description String
    Connector description.
    error String
    Connector-level error message, if any.
    features Property Map
    Connector feature flags.
    filtering String
    Connector filtering rules. JSON-encoded array; use jsondecode() to inspect.
    id String
    Composite identifier in the form <cluster_uuid>/<connector_id>.
    indexName String
    Destination Elasticsearch index name.
    isNative Boolean
    Whether this is an Elastic-managed connector (true) or self-managed (false).
    language String
    Analyzer language for the connector index.
    lastAccessControlSyncError String
    Error message from the last access-control sync job, if any.
    lastAccessControlSyncScheduledAt String
    ISO 8601 timestamp when the last access-control sync was scheduled.
    lastAccessControlSyncStatus String
    Status of the last access-control sync job.
    lastDeletedDocumentCount Number
    Number of documents deleted during the last sync job.
    lastIncrementalSyncScheduledAt String
    ISO 8601 timestamp when the last incremental sync was scheduled.
    lastIndexedDocumentCount Number
    Number of documents indexed during the last sync job.
    lastSeen String
    ISO 8601 timestamp when the connector service last reported in.
    lastSyncError String
    Error message from the last sync job, if any.
    lastSyncScheduledAt String
    ISO 8601 timestamp when the last sync job was scheduled.
    lastSyncStatus String
    Status of the last sync job.
    lastSynced String
    ISO 8601 timestamp of the last completed sync.
    name String
    Human-readable connector name.
    pipeline Property Map
    Ingest pipeline settings applied to synced documents.
    scheduling Property Map
    Sync scheduling for full, incremental, and access-control jobs.
    serviceType String
    Connector service type (for example postgresql, mysql, github).
    status String
    Connector lifecycle status (for example created, connected, error).
    syncCursor String
    Opaque connector sync cursor state. JSON-encoded; use jsondecode() to inspect.
    syncNow Boolean
    Whether a sync job is queued to run immediately.
    elasticsearchConnections List<Property Map>
    Elasticsearch connection configuration block.

    Supporting Types

    GetElasticsearchConnectorElasticsearchConnection

    ApiKey string
    API Key to use for authentication to Elasticsearch
    BearerToken string
    Bearer Token to use for authentication to Elasticsearch
    CaData string
    PEM-encoded custom Certificate Authority certificate
    CaFile string
    Path to a custom Certificate Authority certificate
    CertData string
    PEM encoded certificate for client auth
    CertFile string
    Path to a file containing the PEM encoded certificate for client auth
    Endpoints List<string>
    EsClientAuthentication string
    ES Client Authentication field to be used with the JWT token
    Headers Dictionary<string, string>
    A list of headers to be sent with each request to Elasticsearch.
    Insecure bool
    Disable TLS certificate validation
    KeyData string
    PEM encoded private key for client auth
    KeyFile string
    Path to a file containing the PEM encoded private key for client auth
    Password string
    Password to use for API authentication to Elasticsearch.
    Username string
    Username to use for API authentication to Elasticsearch.
    ApiKey string
    API Key to use for authentication to Elasticsearch
    BearerToken string
    Bearer Token to use for authentication to Elasticsearch
    CaData string
    PEM-encoded custom Certificate Authority certificate
    CaFile string
    Path to a custom Certificate Authority certificate
    CertData string
    PEM encoded certificate for client auth
    CertFile string
    Path to a file containing the PEM encoded certificate for client auth
    Endpoints []string
    EsClientAuthentication string
    ES Client Authentication field to be used with the JWT token
    Headers map[string]string
    A list of headers to be sent with each request to Elasticsearch.
    Insecure bool
    Disable TLS certificate validation
    KeyData string
    PEM encoded private key for client auth
    KeyFile string
    Path to a file containing the PEM encoded private key for client auth
    Password string
    Password to use for API authentication to Elasticsearch.
    Username string
    Username to use for API authentication to Elasticsearch.
    api_key string
    API Key to use for authentication to Elasticsearch
    bearer_token string
    Bearer Token to use for authentication to Elasticsearch
    ca_data string
    PEM-encoded custom Certificate Authority certificate
    ca_file string
    Path to a custom Certificate Authority certificate
    cert_data string
    PEM encoded certificate for client auth
    cert_file string
    Path to a file containing the PEM encoded certificate for client auth
    endpoints list(string)
    es_client_authentication string
    ES Client Authentication field to be used with the JWT token
    headers map(string)
    A list of headers to be sent with each request to Elasticsearch.
    insecure bool
    Disable TLS certificate validation
    key_data string
    PEM encoded private key for client auth
    key_file string
    Path to a file containing the PEM encoded private key for client auth
    password string
    Password to use for API authentication to Elasticsearch.
    username string
    Username to use for API authentication to Elasticsearch.
    apiKey String
    API Key to use for authentication to Elasticsearch
    bearerToken String
    Bearer Token to use for authentication to Elasticsearch
    caData String
    PEM-encoded custom Certificate Authority certificate
    caFile String
    Path to a custom Certificate Authority certificate
    certData String
    PEM encoded certificate for client auth
    certFile String
    Path to a file containing the PEM encoded certificate for client auth
    endpoints List<String>
    esClientAuthentication String
    ES Client Authentication field to be used with the JWT token
    headers Map<String,String>
    A list of headers to be sent with each request to Elasticsearch.
    insecure Boolean
    Disable TLS certificate validation
    keyData String
    PEM encoded private key for client auth
    keyFile String
    Path to a file containing the PEM encoded private key for client auth
    password String
    Password to use for API authentication to Elasticsearch.
    username String
    Username to use for API authentication to Elasticsearch.
    apiKey string
    API Key to use for authentication to Elasticsearch
    bearerToken string
    Bearer Token to use for authentication to Elasticsearch
    caData string
    PEM-encoded custom Certificate Authority certificate
    caFile string
    Path to a custom Certificate Authority certificate
    certData string
    PEM encoded certificate for client auth
    certFile string
    Path to a file containing the PEM encoded certificate for client auth
    endpoints string[]
    esClientAuthentication string
    ES Client Authentication field to be used with the JWT token
    headers {[key: string]: string}
    A list of headers to be sent with each request to Elasticsearch.
    insecure boolean
    Disable TLS certificate validation
    keyData string
    PEM encoded private key for client auth
    keyFile string
    Path to a file containing the PEM encoded private key for client auth
    password string
    Password to use for API authentication to Elasticsearch.
    username string
    Username to use for API authentication to Elasticsearch.
    api_key str
    API Key to use for authentication to Elasticsearch
    bearer_token str
    Bearer Token to use for authentication to Elasticsearch
    ca_data str
    PEM-encoded custom Certificate Authority certificate
    ca_file str
    Path to a custom Certificate Authority certificate
    cert_data str
    PEM encoded certificate for client auth
    cert_file str
    Path to a file containing the PEM encoded certificate for client auth
    endpoints Sequence[str]
    es_client_authentication str
    ES Client Authentication field to be used with the JWT token
    headers Mapping[str, str]
    A list of headers to be sent with each request to Elasticsearch.
    insecure bool
    Disable TLS certificate validation
    key_data str
    PEM encoded private key for client auth
    key_file str
    Path to a file containing the PEM encoded private key for client auth
    password str
    Password to use for API authentication to Elasticsearch.
    username str
    Username to use for API authentication to Elasticsearch.
    apiKey String
    API Key to use for authentication to Elasticsearch
    bearerToken String
    Bearer Token to use for authentication to Elasticsearch
    caData String
    PEM-encoded custom Certificate Authority certificate
    caFile String
    Path to a custom Certificate Authority certificate
    certData String
    PEM encoded certificate for client auth
    certFile String
    Path to a file containing the PEM encoded certificate for client auth
    endpoints List<String>
    esClientAuthentication String
    ES Client Authentication field to be used with the JWT token
    headers Map<String>
    A list of headers to be sent with each request to Elasticsearch.
    insecure Boolean
    Disable TLS certificate validation
    keyData String
    PEM encoded private key for client auth
    keyFile String
    Path to a file containing the PEM encoded private key for client auth
    password String
    Password to use for API authentication to Elasticsearch.
    username String
    Username to use for API authentication to Elasticsearch.

    GetElasticsearchConnectorFeatures

    document_level_security object
    Feature flag for document_level_security.
    incremental_sync object
    Feature flag for incremental_sync.
    native_connector_api_keys object
    Feature flag for native_connector_api_keys.
    sync_rules object
    Sync rules feature flags.
    documentLevelSecurity Property Map
    Feature flag for document_level_security.
    incrementalSync Property Map
    Feature flag for incremental_sync.
    nativeConnectorApiKeys Property Map
    Feature flag for native_connector_api_keys.
    syncRules Property Map
    Sync rules feature flags.

    GetElasticsearchConnectorFeaturesDocumentLevelSecurity

    Enabled bool
    Whether the feature is enabled.
    Enabled bool
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.
    enabled boolean
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.

    GetElasticsearchConnectorFeaturesIncrementalSync

    Enabled bool
    Whether the feature is enabled.
    Enabled bool
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.
    enabled boolean
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.

    GetElasticsearchConnectorFeaturesNativeConnectorApiKeys

    Enabled bool
    Whether the feature is enabled.
    Enabled bool
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.
    enabled boolean
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.

    GetElasticsearchConnectorFeaturesSyncRules

    advanced object
    Feature flag for advanced.
    basic object
    Feature flag for basic.
    advanced Property Map
    Feature flag for advanced.
    basic Property Map
    Feature flag for basic.

    GetElasticsearchConnectorFeaturesSyncRulesAdvanced

    Enabled bool
    Whether the feature is enabled.
    Enabled bool
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.
    enabled boolean
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.

    GetElasticsearchConnectorFeaturesSyncRulesBasic

    Enabled bool
    Whether the feature is enabled.
    Enabled bool
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.
    enabled boolean
    Whether the feature is enabled.
    enabled bool
    Whether the feature is enabled.
    enabled Boolean
    Whether the feature is enabled.

    GetElasticsearchConnectorPipeline

    ExtractBinaryContent bool
    Whether to extract binary content during ingestion.
    Name string
    Ingest pipeline name.
    ReduceWhitespace bool
    Whether to reduce whitespace in extracted text.
    RunMlInference bool
    Whether to run ML inference during ingestion.
    ExtractBinaryContent bool
    Whether to extract binary content during ingestion.
    Name string
    Ingest pipeline name.
    ReduceWhitespace bool
    Whether to reduce whitespace in extracted text.
    RunMlInference bool
    Whether to run ML inference during ingestion.
    extract_binary_content bool
    Whether to extract binary content during ingestion.
    name string
    Ingest pipeline name.
    reduce_whitespace bool
    Whether to reduce whitespace in extracted text.
    run_ml_inference bool
    Whether to run ML inference during ingestion.
    extractBinaryContent Boolean
    Whether to extract binary content during ingestion.
    name String
    Ingest pipeline name.
    reduceWhitespace Boolean
    Whether to reduce whitespace in extracted text.
    runMlInference Boolean
    Whether to run ML inference during ingestion.
    extractBinaryContent boolean
    Whether to extract binary content during ingestion.
    name string
    Ingest pipeline name.
    reduceWhitespace boolean
    Whether to reduce whitespace in extracted text.
    runMlInference boolean
    Whether to run ML inference during ingestion.
    extract_binary_content bool
    Whether to extract binary content during ingestion.
    name str
    Ingest pipeline name.
    reduce_whitespace bool
    Whether to reduce whitespace in extracted text.
    run_ml_inference bool
    Whether to run ML inference during ingestion.
    extractBinaryContent Boolean
    Whether to extract binary content during ingestion.
    name String
    Ingest pipeline name.
    reduceWhitespace Boolean
    Whether to reduce whitespace in extracted text.
    runMlInference Boolean
    Whether to run ML inference during ingestion.

    GetElasticsearchConnectorScheduling

    AccessControl GetElasticsearchConnectorSchedulingAccessControl
    Schedule for the access_control sync job type.
    Full GetElasticsearchConnectorSchedulingFull
    Schedule for the full sync job type.
    Incremental GetElasticsearchConnectorSchedulingIncremental
    Schedule for the incremental sync job type.
    AccessControl GetElasticsearchConnectorSchedulingAccessControl
    Schedule for the access_control sync job type.
    Full GetElasticsearchConnectorSchedulingFull
    Schedule for the full sync job type.
    Incremental GetElasticsearchConnectorSchedulingIncremental
    Schedule for the incremental sync job type.
    access_control object
    Schedule for the access_control sync job type.
    full object
    Schedule for the full sync job type.
    incremental object
    Schedule for the incremental sync job type.
    accessControl GetElasticsearchConnectorSchedulingAccessControl
    Schedule for the access_control sync job type.
    full GetElasticsearchConnectorSchedulingFull
    Schedule for the full sync job type.
    incremental GetElasticsearchConnectorSchedulingIncremental
    Schedule for the incremental sync job type.
    accessControl GetElasticsearchConnectorSchedulingAccessControl
    Schedule for the access_control sync job type.
    full GetElasticsearchConnectorSchedulingFull
    Schedule for the full sync job type.
    incremental GetElasticsearchConnectorSchedulingIncremental
    Schedule for the incremental sync job type.
    access_control GetElasticsearchConnectorSchedulingAccessControl
    Schedule for the access_control sync job type.
    full GetElasticsearchConnectorSchedulingFull
    Schedule for the full sync job type.
    incremental GetElasticsearchConnectorSchedulingIncremental
    Schedule for the incremental sync job type.
    accessControl Property Map
    Schedule for the access_control sync job type.
    full Property Map
    Schedule for the full sync job type.
    incremental Property Map
    Schedule for the incremental sync job type.

    GetElasticsearchConnectorSchedulingAccessControl

    Enabled bool
    Whether this scheduled job type is enabled.
    Interval string
    Cron expression accepted by the Elasticsearch scheduler.
    Enabled bool
    Whether this scheduled job type is enabled.
    Interval string
    Cron expression accepted by the Elasticsearch scheduler.
    enabled bool
    Whether this scheduled job type is enabled.
    interval string
    Cron expression accepted by the Elasticsearch scheduler.
    enabled Boolean
    Whether this scheduled job type is enabled.
    interval String
    Cron expression accepted by the Elasticsearch scheduler.
    enabled boolean
    Whether this scheduled job type is enabled.
    interval string
    Cron expression accepted by the Elasticsearch scheduler.
    enabled bool
    Whether this scheduled job type is enabled.
    interval str
    Cron expression accepted by the Elasticsearch scheduler.
    enabled Boolean
    Whether this scheduled job type is enabled.
    interval String
    Cron expression accepted by the Elasticsearch scheduler.

    GetElasticsearchConnectorSchedulingFull

    Enabled bool
    Whether this scheduled job type is enabled.
    Interval string
    Cron expression accepted by the Elasticsearch scheduler.
    Enabled bool
    Whether this scheduled job type is enabled.
    Interval string
    Cron expression accepted by the Elasticsearch scheduler.
    enabled bool
    Whether this scheduled job type is enabled.
    interval string
    Cron expression accepted by the Elasticsearch scheduler.
    enabled Boolean
    Whether this scheduled job type is enabled.
    interval String
    Cron expression accepted by the Elasticsearch scheduler.
    enabled boolean
    Whether this scheduled job type is enabled.
    interval string
    Cron expression accepted by the Elasticsearch scheduler.
    enabled bool
    Whether this scheduled job type is enabled.
    interval str
    Cron expression accepted by the Elasticsearch scheduler.
    enabled Boolean
    Whether this scheduled job type is enabled.
    interval String
    Cron expression accepted by the Elasticsearch scheduler.

    GetElasticsearchConnectorSchedulingIncremental

    Enabled bool
    Whether this scheduled job type is enabled.
    Interval string
    Cron expression accepted by the Elasticsearch scheduler.
    Enabled bool
    Whether this scheduled job type is enabled.
    Interval string
    Cron expression accepted by the Elasticsearch scheduler.
    enabled bool
    Whether this scheduled job type is enabled.
    interval string
    Cron expression accepted by the Elasticsearch scheduler.
    enabled Boolean
    Whether this scheduled job type is enabled.
    interval String
    Cron expression accepted by the Elasticsearch scheduler.
    enabled boolean
    Whether this scheduled job type is enabled.
    interval string
    Cron expression accepted by the Elasticsearch scheduler.
    enabled bool
    Whether this scheduled job type is enabled.
    interval str
    Cron expression accepted by the Elasticsearch scheduler.
    enabled Boolean
    Whether this scheduled job type is enabled.
    interval String
    Cron expression accepted by the Elasticsearch scheduler.

    Package Details

    Repository
    elasticstack elastic/terraform-provider-elasticstack
    License
    Notes
    This Pulumi package is based on the elasticstack Terraform Provider.
    Viewing docs for elasticstack 0.16.1
    published on Monday, Jun 1, 2026 by elastic

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial